/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

import MQC.*;
import MQC.holders.*;

import java.io.*;

public class Server
{
	public static void main(String[] args)
	{
		S_ORB orb = new S_ORB();
		System.out.println("ORB created!");
		
		POA rootPOA = new POA(orb, "RootPOA");
		test1Impl test = new test1Impl();
		
		Object object = rootPOA.servant_to_reference( test );
		String ior = orb.object_to_string(object);
		System.out.println("object to string!");
	
		try
		{
			FileWriter out = new FileWriter(new File("timing.ior"));
			out.write(ior);
			out.close();
		}
		catch(IOException e)
		{
			System.out.println("Error writing IOR");
			return;
		}
		orb.run();
	}
}
