/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.exception;

import mqc.*;
import mqc.protocols.CDRInputStream.*;

/**
 * Base class for user exceptions
 * 
 * @author Olav Haugan
 *
 * 14.10.01
 */
public class UserException extends java.lang.RuntimeException
{
   /**
    * Constructor. Initializes variables.
    */
   public UserException()
   {
      super();
   }

   /**
    * Constructor. Initializes variables.
    *
    * @param reason  exception reason
    */
   public UserException(String reason)
   {
      super(reason);
   }
}
